<?php

class MediaAttachmentParserProxy
{
  /**
   * @param MediaAttachment $mediaAttachment
   * @return AbstractMediaAttachmentParser
   */
  static public function getParser(MediaAttachment $media)
  {
    if($media->isVehicleTrace)
    {
      return new MediaAttachmentParserVehicleTrace($media->extrainfo);
    }
    else
    {
      return new MediaAttachmentParserTSpeed($media->extrainfo);
    }
  }
}
